<?php
require("global.php");
@include_once(PHP168_PATH."php168/all_area.php");
if($lfjuid==$uid||!$uid){
	//$linkdb=array("查看個人信息"=>"?uid=$lfjuid","修改個人信息"=>"?job=edit");
}else{
	//$linkdb=array("查看個人信息"=>"?uid=$uid");
}


//修改用戶信息
if($job=="edit")
{
	if(!$lfjid)
	{
		showerr("你還沒登錄");
	}
	if($step==2)
	{
		//自定義用戶字段
		require_once("../do/regfield.php");
		ck_regpost($postdb);

		if($email!=$lfjdb[email]||$password)
		{
			if(defined("UC_CONNECT")){
				$_r=$db->get_one("SELECT * FROM ".UC_DBTABLEPRE."members WHERE uid='$lfjuid'");
				$old_password=md5($old_password).$_r[salt];
				$lfjdb[password]=$_r[password];
			}
			if($lfjdb[password]!=pwd_md5($old_password))
			{
				showerr("修改密碼或修改郵箱,請必須正確輸入舊密碼");
			}
			elseif($password&&$password!=$password2)
			{
				showerr("新密碼與重復密碼不相同");
			}
			elseif ($email&&!ereg("^[-a-zA-Z0-9_\.]+\@([0-9A-Za-z][0-9A-Za-z-]+\.)+[A-Za-z]{2,5}$",$email))
			{
				showerr("郵箱不符合規則");
			}
			if($password)
			{
				
				$password=pwd_md5($password);
				$db->query("UPDATE $TB[table] SET $TB[password]='$password' WHERE $TB[uid]='$lfjuid' ");
				if(defined("UC_CONNECT")){
					
					$_password=md5($password.$_r[salt]);
					$db_uc->query("UPDATE ".UC_DBTABLEPRE."members SET password='$_password' WHERE uid='$lfjuid' ");
					//uc_user_edit($lfjid, $rsdb[password], $password, $postdb[email], $ignoreoldpw = 1, $questionid = '', $answer = '');
				}
			}
		}
		if($oicq&&!ereg("^[0-9]{5,11}$",$oicq))
		{
			showerr("OICQ格式不符合規則");
		}
		if($bday&&!ereg("^([0-9]{4})-([0-9]{2})-([0-9]{2})$",$bday))
		{
			showerr("生日格式不符合規則");
		}
		if($postalcode&&!ereg("^[0-9]{6}$",$postalcode))
		{
			showerr("郵政編碼格式不符合規則");
		}
		if($mobphone&&!ereg("^[0-9]{11,12}$",$mobphone))
		{
			showerr("手機號碼格式不符合規則");
		}

		$truename=filtrate($truename);
		$idcard=filtrate($idcard);
		$telephone=filtrate($telephone);
		$address=filtrate($address);
		$introduce=filtrate($introduce);
		$homepage=filtrate($homepage);
		$msn=filtrate($msn);

		if($icon_type=='new'&&$postfile)
		{
			$array[name]=is_array($postfile)?$_FILES[postfile][name]:$postfile_name;
			$filetype=strtolower(strrchr($array[name],"."));
			if($filetype!='.gif'&&$filetype!='.jpg')
			{
				showerr("頭像只能是.gif或.jpg格式");
			}
			$array[path]=$webdb[updir]."/icon";
			$array[size]=is_array($postfile)?$_FILES[postfile][size]:$postfile_size;
			if(($array[size]+$lfjdb[usespace])>($webdb[totalSpace]*1048576+$groupdb[totalspace]*1048576+$lfjdb[totalspace]))
			{
				showerr("你的空間不足,上傳失敗,<A HREF='?uid=$lfjuid'>點擊查看你的空間容量信息</A>");
			}
			$array[updateTable]=1;	//統計用戶上傳的文件佔用空間大小
			$filename=upfile(is_array($postfile)?$_FILES[postfile][tmp_name]:$postfile,$array);
			$icon="icon/{$lfjuid}".strtolower(strrchr($filename,"."));
			@unlink(PHP168_PATH."$webdb[updir]/$icon");
			rename(PHP168_PATH."$webdb[updir]/icon/$filename",PHP168_PATH."$webdb[updir]/$icon");			
			
			$icon_array=getimagesize(PHP168_PATH."$webdb[updir]/$icon");
			if($icon_array[0]>150||$icon_array[1]>150){
				$icon_url="$webdb[www_url]/$webdb[updir]/$icon";
			}
		}
		if($icon)
		{
			$filetype=strtolower(strrchr($icon,"."));
			$icon=filtrate($icon);
			if($filetype!='.gif'&&$filetype!='.jpg')
			{
				showerr("頭像只能是.gif或.jpg格式");
			}
		}
		
		//過濾不健康的字
		$truename=replace_bad_word($truename);
		$introduce=replace_bad_word($introduce);
		$address=replace_bad_word($address);

		if($cityid)
		{
			@extract($db->get_one("SELECT fup AS provinceid FROM {$pre}area WHERE fid='$cityid'"));
		}
		$SQL='';
		if($lfjdb[email_yz]&&$lfjdb[email]!=$email){
			if(!$webdb[EditYzEmail]){
				showerr("你不可以再修改郵箱,因為已經審核過了.");
			}else{
				$SQL.=",email_yz=0";
			}
		}
		if($lfjdb[mob_yz]&&$lfjdb[mobphone]!=$mobphone){
			if(!$webdb[EditYzMob]){
				showerr("你不可以再修改手機號碼,因為已經審核過了.");
			}else{
				$SQL.=",mob_yz=0";
			}			
		}
		if($lfjdb[idcard_yz]&&($lfjdb[idcard]!=$idcard||$lfjdb[truename]!=$truename)){
			if(!$webdb[EditYzIdcard]){
				showerr("你不可以再修改身份證資料,因為已經審核過了.");
			}else{
				$SQL.=",idcard_yz=0";
			}			
		}

		$db->query("UPDATE {$pre}memberdata SET icon='$icon',sex='$sex',bday='$bday',introduce='$introduce',oicq='$oicq',msn='$msn',homepage='$homepage',email='$email',address='$address',postalcode='$postalcode',mobphone='$mobphone',telephone='$telephone',idcard='$idcard',truename='$truename',provinceid='$provinceid',cityid='$cityid'$SQL WHERE uid='$lfjuid'");

		//自定義用戶字段
		Reg_memberdata_field($lfjuid,$postdb);
		
		//截取用戶頭像
		if($icon_url){
			$reurl=base64_encode("$webdb[www_url]/member/userinfo.php?uid=$lfjuid");
			header("location:$webdb[www_url]/do/cutimg.php?job=cutimg&width=150&height=150&srcimg=$icon_url&reurl=$reurl");
			exit;
		}
		refreshto("$FROMURL","修改succeed",1);
	}
	else
	{
		$sex_db[$lfjdb[sex]]=" checked ";

		if(!$webdb[EditYzEmail]&&$lfjdb[email_yz]){
			$ipunt_email=" readonly onclick=\"alert('郵箱已審核,不可再修改')\" ";
		}elseif($lfjdb[email_yz]){
			$ipunt_email=" onclick=\"alert('郵箱已審核,修改的話,會處于未審核狀態')\" ";
		}
		if(!$webdb[EditYzMob]&&$lfjdb[mob_yz]){
			$ipunt_mob=" readonly onclick=\"alert('手機已審核,不可再修改')\"  ";
		}elseif($lfjdb[mob_yz]){
			$ipunt_mob=" onclick=\"alert('手機已審核,修改的話,會處于未審核狀態')\"  ";
		}
		if(!$webdb[EditYzIdcard]&&$lfjdb[idcard_yz]){
			$ipunt_idcard=" readonly onclick=\"alert('身份證已審核,不可再修改')\"  ";
		}elseif($lfjdb[idcard_yz]){
			$ipunt_idcard=" onclick=\"alert('身份證已審核,修改的話,會處于未審核狀態')\"  ";
		}

		$lfjdb[postalcode]==0&&$lfjdb[postalcode]='';

		require(dirname(__FILE__)."/"."head.php");
		require(dirname(__FILE__)."/"."template/userinfo.htm");
		require(dirname(__FILE__)."/"."foot.php");
	}
}

//查看用戶信息
else
{
	if(!$uid&&!$username)
	{
		$uid=$lfjuid;
	}
	header("location:homepage.php?uid=$uid");exit;
}
?>